{
  description = "KropCloud system flakes";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable-small";

    disko = {
      url = "github:nix-community/disko";
      inputs.nixpkgs.follows = "nixpkgs";
    };
  };

  outputs =
    inputs@{ self, nixpkgs, ... }:
    let
      kclib = import ./lib.nix {
        nixpkgs = inputs.nixpkgs;
        inputs = inputs;
      };
    in
    {
      nixosConfigurations = {
        gateway = kclib.mkHost "gateway" "x86_64-linux";
        entrypoint = kclib.mkHost "entrypoint" "x86_64-linux";
      };
      formatter.x86_64-linux = nixpkgs.legacyPackages.x86_64-linux.nixfmt-rfc-style;
    };
}
